Bug 1412141

Summary: Not possible to change the action for an existing keyboard shortcut (Wayland?)
Product: [Fedora] Fedora Reporter: Alan Jenkins <alan.christopher.jenkins>
Component: control-centerAssignee: Control Center Maintainer <control-center-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: control-center-maint, fmuellner, mkasik, ofourdan, rstrode, tiagomatos
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 11:25:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alan Jenkins 2017-01-11 11:14:51 UTC
Description of problem:

Gnome Settings page "Keyboard" allows changing keyboard shortcuts.  

Previously, I believe that attempting to set a keyboard shortcut which was already used (e.g. Super+A) would detect the conflict, and ask the user for confirmation.

This doesn't happen any more.  Instead, the action which was bound to the keyboard is performed.  Gnome Settings remains open, waiting for you to give it a (unused) keyboard shortcut.

I expect Gnome Settings used to take an X input grab at this point.  After switching to Wayland, this is no longer supported.  However it should still be possible to resolve, for example Gnome Settings could simply request that all global shortcuts be disabled for the duration.  (Using a specific request, I mean.  Not a hack where it saves and restores all global keyboard shortcuts :).


Version-Release number of selected component (if applicable):
control-center-3.22.1-2.fc25.x86_64
gnome-shell-3.22.2-2.fc25.x86_64

How reproducible: always



Steps to Reproduce:
1. Fedora 25 Workstation
2. Gnome Settings -> Keyboard
3. Click a keyboard shortcut, to change it
4. Press alt+space

Actual results:
Confusingly, the menu for the window opens.  (This is the existing shortcut)

Expected results:
Gnome Settings should inhibit the usual global keyboard shortcut action for the shortcut being entered.  It should detect a conflict with an existing shortcut.  Preferably it should warn the user about the conflict, and then allow them to re-assign the keyboard shortcut if that's what they want to do.

Comment 1 Fedora End Of Life 2017-11-16 18:42:35 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Alan Jenkins 2017-11-16 19:45:04 UTC
Still present in F26 with control-center-3.22.1-2.fc25.x86_64.

Comment 3 Fedora End Of Life 2018-05-03 08:11:14 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:25:16 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Alan Jenkins 2018-05-29 12:09:35 UTC
Confirm, seems fixed in Fedora 28.